> For the complete documentation index, see [llms.txt](https://docs.wisej.com/ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/ai/components/api/smartadapter/wisej.ai.smartadapter.fieldrectangleattribute.md).

# SmartAdapter.FieldRectangleAttribute

Namespace: **Wisej.AI**

Assembly: **Wisej.AI** (3.5.0.0)

Represents an attribute that defines a rectangular area using a [Rectangle](#rectangle) associated to a property or a control.

{% tabs %}
{% tab title="C#" %}

```csharp
public class FieldRectangleAttribute : Attribute
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class FieldRectangleAttribute
    Inherits Attribute
```

{% endtab %}
{% endtabs %}

This attribute can be used to specify a rectangle by providing either its dimensions or a string representation.

## Constructors

### ![](/files/ptrKjmmRoQB76pvrIqh0) FieldRectangleAttribute(x, y, width, height)

Initializes a new instance of the [FieldRectangleAttribute](/ai/components/api/smartadapter/wisej.ai.smartadapter.fieldrectangleattribute.md) class with specified dimensions.

| Name       | Type                                                        | Description                                                 |
| ---------- | ----------------------------------------------------------- | ----------------------------------------------------------- |
| **x**      | [Int32](https://docs.microsoft.com/dotnet/api/system.int32) | The x-coordinate of the upper-left corner of the rectangle. |
| **y**      | [Int32](https://docs.microsoft.com/dotnet/api/system.int32) | The y-coordinate of the upper-left corner of the rectangle. |
| **width**  | [Int32](https://docs.microsoft.com/dotnet/api/system.int32) | The width of the rectangle.                                 |
| **height** | [Int32](https://docs.microsoft.com/dotnet/api/system.int32) | The height of the rectangle.                                |

### ![](/files/ptrKjmmRoQB76pvrIqh0) FieldRectangleAttribute(rectangle)

Initializes a new instance of the [FieldRectangleAttribute](/ai/components/api/smartadapter/wisej.ai.smartadapter.fieldrectangleattribute.md) class with a rectangle specified as a string.

| Name          | Type                                                          | Description                               |
| ------------- | ------------------------------------------------------------- | ----------------------------------------- |
| **rectangle** | [String](https://docs.microsoft.com/dotnet/api/system.string) | A string representation of the rectangle. |

The string should be in a format that can be converted to a [Rectangle](#rectangle) using the type converter.

## Properties

### ![](/files/ptrKjmmRoQB76pvrIqh0) Rectangle

[Rectangle](https://docs.microsoft.com/dotnet/api/system.drawing.rectangle): Gets or sets the [Rectangle](#rectangle) associated with this attribute.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/ai/components/api/smartadapter/wisej.ai.smartadapter.fieldrectangleattribute.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
